Add option to bind tracks from one file / from one directory

November 27, 2013 11:13 - Igor Kushnir

Status: Closed Start date: November 27, 2013

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

Classical music compositions often consist of several movements.

They are usually separated in cue sheets although they are actually just pieces of one  composition.

After cue file is imported to playlist and "Shuffle" option is turned on, current algorithm selects random item in playlist. It would be

nice to have an option, which would bind tracks in one file. So that randomization algorithm would pick the beginning of cue file and

play all tracks from that file in order before jumping to next random file.

Sometimes movements are distributed as separate files, so it would be nice to have and option to bind not only tracks from one file,

but also all files in one directory.

It'd be better to play tracks or (files in one directory) in correct order (order in cue sheet or alphabetical order in the directory). But

playing them based on order in playlist would also be good enough.

History

#1 - March 17, 2014 13:53 - Igor Kushnir

I have got an impression that no one cares about this feature, so I implemented my own solution in form of wrapper for Audacious command line

interface:

[[https://github.com/vedgy/venturous]]

Venturous is licensed under the GNU GPLv3+. Everyone is welcome to use it.

Thanks to Audacious developers for excellent player in general and for powerful command line interface in particular!

I believe that this issue can be closed now that there is an external solution.

#2 - March 24, 2014 05:53 - John Lindgren

There was some interest for a similar feature mentioned on the forum [1] a while back.  But there are more feature requests than time to implement

them ...

[1] http://redmine.audacious-media-player.org/boards/1/topics/822

#3 - July 10, 2016 06:59 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

3.7 added an album shuffle mode which should solve the use case of keeping classical compositions together.
